cnMaestro (cloud): only older software/firmware versions recommended

why is only version 4.2.1-r12 recommended though five newer firmwares are available?
what makes a version recommended and what doesn’t?

thx, guys.

If you are using cnMaestro On-Prem with an admin account, you should be able to set the Recommended firmware versions under Administration>Server>Software Images.

thx for the reply.
as my subject states i use the clouded cnmaestro.

i have the same issue as @badmin